﻿<%@ Page Language="VB" AutoEventWireup="true" CodeFile="VB.aspx.vb" Inherits="VB" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <style type="text/css">
        body { font-family: Arial; font-size: 10pt; }
    </style>
    <link rel="stylesheet" href="https://unpkg.com/leaflet@1.9.4/dist/leaflet.css" />
    <script type="text/javascript" src="https://unpkg.com/leaflet@1.9.4/dist/leaflet.js"></script>
    <script type="text/javascript">
        window.onload = function () {
            var markers = eval('<%=ViewState("Markers").ToString()%>');

            // Initializing the Map.
            var map = L.map('dvMap').setView([markers[0].Lat, markers[0].Lng], 8);

            // Setting the Attribution.
            L.tileLayer('https://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png', {
                attribution: '&copy; <a href="https://www.openstreetmap.org/copyright">OpenStreetMap</a> contributors'
            }).addTo(map);

            // Adding Marker to map.
            markers.forEach(function (item) {
                L.marker([item.Lat, item.Lng])
                    .bindPopup("<b>" + item.Title + "</b><br />" + item.Description).addTo(map);
            });
        };
    </script>
</head>
<body>
    <form id="form1" runat="server">
        <div id="dvMap" style="width: 500px; height: 500px"></div>
    </form>
</body>
</html>