﻿Imports System.Configuration
Imports System.Data.SqlClient
Imports System.Web.Script.Serialization

Partial Class VB
    Inherits System.Web.UI.Page
    Protected Sub Page_Load(ByVal sender As Object, ByVal e As EventArgs) Handles Me.Load
        If Not Me.IsPostBack Then
            Dim mapData As List(Of MarkerModel) = New List(Of MarkerModel)()
            Dim constr As String = ConfigurationManager.ConnectionStrings("constr").ConnectionString
            Using con As SqlConnection = New SqlConnection(constr)
                Using cmd As SqlCommand = New SqlCommand("SELECT * FROM Locations", con)
                    con.Open()
                    Using sdr As SqlDataReader = cmd.ExecuteReader()
                        While sdr.Read()
                            mapData.Add(New MarkerModel With {
                            .Title = sdr("Name").ToString(),
                            .Lat = Convert.ToDecimal(sdr("Latitude")),
                            .Lng = Convert.ToDecimal(sdr("Longitude")),
                            .Description = sdr("Description").ToString()
                        })
                        End While
                    End Using
                    con.Close()
                End Using
            End Using
            ViewState("Markers") = (New JavaScriptSerializer()).Serialize(mapData)
        End If
    End Sub

    Public Class MarkerModel
        Public Property Title As String
        Public Property Description As String
        Public Property Lat As Decimal
        Public Property Lng As Decimal
    End Class
End Class